Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1517597

Summary: xinit/Xclients missing test for MATE if /etc/sysconfig/desktop missing (causes MATE Spin XRDP to fail)
Product: [Fedora] Fedora Reporter: Charles Butterfield <charles.butterfield>
Component: xorg-x11-xinitAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 29CC: airlied, ajax, alexl, caillon+fedoraproject, dominik.mierzejewski, jglisse, john.j5live, negativo17, rhughes, rstrode, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Charles Butterfield 2017-11-27 02:52:45 UTC
Description of problem: Attempting to RDP into an F27 MATE spin will generally fail, since that spin has no explicit /etc/sysconfig/desktop, and the fallback logic if neither DESKTOP or PREFERRED is defined only tests 3 of the 4 cases. This is surely just a typo since the DESKTOP parsing case has all 4 tests (GNOME, MATE, KDE, LXDE).


Version-Release number of selected component (if applicable):
xorg-x11-xinit-1.3.4-16.fc27.x86_64

How reproducible: totally

Steps to Reproduce:
1. Install clean F27 MATE spin
2. Install and enable XRDP
3. Try to RDP in and you fail with a pretty vague message "VNC error - problem connecting" followed by "some problem"

Suggested action:

Add the missing case in /etc/X11/xinit/Xclients around line 41, perhaps something like this:

elif [ -n "$MSESSION" ]; then
    # if GNOME isn't installed, try MATE
    exec "$MSESSION"

Additional info:
Both XRDP and desktop session manager launching is full of tricky traps, so there are many ways that things can go wrong even if this problem is fixed, but fixing it will reduce the number of failure modes.

Clearly the MATE spins should defensively define /etc/sysconfig/desktop, and better still include "unset DBUS_SESSION_BUS_ADDRESS", but those are really distinct bugs of their own.  Lets fix this one.

Comment 1 Charles Butterfield 2018-07-08 01:19:22 UTC
Just installed F28 Mate Spin - problem still there.

Comment 2 Charles Butterfield 2019-01-12 23:06:35 UTC
Still a problem in Fedora-29